package saml_test

import (
	"testing"

	"go.sebtobie.de/httpserver"
	"go.sebtobie.de/httpserver/auth"
	"go.sebtobie.de/httpserver/modules/saml"
)

func TestSamlMethods(t *testing.T) {
	t.Parallel()
	var samlo = &saml.SAML{}
	var samlsite httpserver.Site = samlo
	var _ auth.AuthenticationHandler = samlo
	defaults := samlsite.(httpserver.ConfigSite).Defaults()
	if len(defaults) == 0 {
		t.Log("There is an empty Default Object")
		t.Fail()
	}
	samlsite.(httpserver.ConfigSite).Setup(defaults)
}
